# FileList.h File Reference

`#include "Export.h"`
`#include "DS_List.h"`
`#include "RakMemoryOverride.h"`
`#include "RakNetTypes.h"`
`#include "FileListNodeContext.h"`
`#include "RakString.h"`

## Classes
struct | FileListNode
| Represents once instance of a file. More...
class | FileListProgress
| Callback interface set with FileList::SetCallback() in case you want progress notifications when FileList::AddFilesFromDirectory() is called. More...
class | FLP_Printf
| Implementation of FileListProgress to use RAKNET_DEBUG_PRINTF. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Detailed Description

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.